<div>
  <h2 id="page-heading" data-cy="TrilhaHeading">
    <span jhiTranslate="matrixApp.trilha.home.title">Trilhas</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.trilha.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-trilha"
        [routerLink]="['/trilha/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.trilha.home.createLabel">Criar novo Trilha</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="trilhas?.length === 0">
    <span jhiTranslate="matrixApp.trilha.home.notFound">Nenhum Trilha encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="trilhas && trilhas.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.trilha.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="conteudo.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.trilha.conteudo">Conteudo</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="periodo.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.trilha.periodo">Periodo</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let trilha of trilhas; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/trilha', trilha.id, 'view']">{{ trilha.id }}</a>
          </td>
          <td>
            <div *ngIf="trilha.conteudo">
              <a [routerLink]="['/conteudo', trilha.conteudo.id, 'view']">{{ trilha.conteudo.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="trilha.periodo">
              <a [routerLink]="['/periodo', trilha.periodo.id, 'view']">{{ trilha.periodo.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button type="submit" [routerLink]="['/trilha', trilha.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button type="submit" [routerLink]="['/trilha', trilha.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(trilha)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
